// priority: 0

console.info('Hello, World! (You will see this line every time client resources reload)')

onEvent('jei.hide.items', event => {
	// Hide items in JEI here
	// event.hide('minecraft:cobblestone')
	event.hide('kubejs:epic')
	event.hide('kubejs:legendary')
	event.hide('kubejs:common')
	event.hide('kubejs:magic')
	event.hide('kubejs:rare')
	event.hide('kubejs:relic')
	event.hide('kubejs:unique')
	event.hide('kubejs:currencycrate')
	event.hide('kubejs:gemcrate')
	event.hide('kubejs:runecrate')

	event.hide('kubejs:agility')
	event.hide('kubejs:all_attributes')
	event.hide('kubejs:all_earth_damage')
	event.hide('kubejs:all_elemental_damage')
	event.hide('kubejs:all_fire_damage')
	event.hide('kubejs:all_physical_damage')
	event.hide('kubejs:all_water_damage')
	event.hide('kubejs:area_cdr')
	event.hide('kubejs:area_damage')
	event.hide('kubejs:area_spell_damage')
	event.hide('kubejs:armor')
	event.hide('kubejs:armor_penetration')
	event.hide('kubejs:attack_speed')
	event.hide('kubejs:axe_damage')
	event.hide('kubejs:bonus_exp')
	event.hide('kubejs:cast_speed')
	event.hide('kubejs:cdr')
	event.hide('kubejs:craft_suc_chance')
	event.hide('kubejs:crit_dmg_per_attack_speed')
	event.hide('kubejs:critical_damage')
	event.hide('kubejs:critical_hit')
	event.hide('kubejs:critical_per_item_quantity')
	event.hide('kubejs:critical_per_magic_find')
	event.hide('kubejs:curse_duration')
	event.hide('kubejs:damage_per_percent_of_mana')
	event.hide('kubejs:damage_reflected')
	event.hide('kubejs:defensive_duration')
	event.hide('kubejs:defensive_effect')
	event.hide('kubejs:dexterity')
	event.hide('kubejs:dmg_taken_to_mana')
	event.hide('kubejs:dmg_to_living')
	event.hide('kubejs:dmg_to_undead')
	event.hide('kubejs:dmg_when_low_hp')
	event.hide('kubejs:dmg_when_target_full_hp')
	event.hide('kubejs:dmg_when_target_low_hp')
	event.hide('kubejs:dodge')
	event.hide('kubejs:earth_penetration')
	event.hide('kubejs:earth_resist')
	event.hide('kubejs:energy')
	event.hide('kubejs:energy_regen')
	event.hide('kubejs:elemental_resist')
	event.hide('kubejs:favor_gain')
	event.hide('kubejs:fire_penetration')
	event.hide('kubejs:fire_resist')
	event.hide('kubejs:food_duration')
	event.hide('kubejs:food_stats')
	event.hide('kubejs:health')
	event.hide('kubejs:health_on_spell_hit')
	event.hide('kubejs:health_regen')
	event.hide('kubejs:health_to_physical_weapon_damage')
	event.hide('kubejs:increase_healing')
	event.hide('kubejs:increased_aoe')
	event.hide('kubejs:intelligence')
	event.hide('kubejs:item_find')
	event.hide('kubejs:lifesteal')
	event.hide('kubejs:magic_dmg_received')
	event.hide('kubejs:magic_find')
	event.hide('kubejs:mana')
	event.hide('kubejs:mana_cost')
	event.hide('kubejs:mana_on_kill')
	event.hide('kubejs:mana_per_intelligence')
	event.hide('kubejs:mana_regen')
	event.hide('kubejs:mana_shield')
	event.hide('kubejs:melee_dmg_received')
	event.hide('kubejs:move_speed')
	event.hide('kubejs:neg_effect_duration')
	event.hide('kubejs:offensive_effect')
	event.hide('kubejs:piercing_projectiles')
	event.hide('kubejs:pos_effect_duration')
	event.hide('kubejs:proj_damage')
	event.hide('kubejs:proj_dmg_received')
	event.hide('kubejs:projectile_spell_damage')
	event.hide('kubejs:ranged_damage')
	event.hide('kubejs:song_effect')
	event.hide('kubejs:spell_critical_damage')
	event.hide('kubejs:spell_critical_hit')
	event.hide('kubejs:spell_damage')
	event.hide('kubejs:spell_damage_per_percent_increase_healing')
	event.hide('kubejs:spell_lifesteal')
	event.hide('kubejs:strength')
	event.hide('kubejs:sword_damage')
	event.hide('kubejs:vitality')
	event.hide('kubejs:water_penetration')
	event.hide('kubejs:water_resist')
	event.hide('kubejs:wisdom')
	event.hide('kubejs:day_dmg')
	event.hide('kubejs:night_dmg')

	event.hide('dubl:loot_spawner_1')
	event.hide('dubl:loot_spawner_2')
	event.hide('dubl:default_loot_spawner')
	event.hide('dubl:common_loot_spawner_2')
	event.hide('dubl:common_loot_spawner_3')
	event.hide('dubl:rare_loot_spawner_2')
	event.hide('dubl:rare_loot_spawner_3')
	event.hide('dubl:epic_loot_spawner_2')
	event.hide('dubl:epic_loot_spawner_3')
	event.hide('dubl:boss_pylon')
	event.hide('dubl:random_pylon_spawner')
	event.hide('dubl:endless_pylon')
	event.hide('dubl:key_check')
	event.hide('dubl:endless_round_check')
	event.hide('dubl:treasure_room_event_pylon')
	event.hide('dubl:treasure_room_event_pylon_2')
	event.hide('dubl:boss_room_spawner')
	event.hide('dubl:mod_table')
	event.hide('dubl:security_station_spawner')
	event.hide('dubl:mob_pylon_1')
	event.hide('dubl:mob_pylon_2')
	event.hide('dubl:mob_pylon_3')
	event.hide('dubl:mob_pylon_4')
	event.hide('dubl:testblock')
	event.hide('dubl:trial_pylon_fire')
	event.hide('dubl:trial_pylon_fire_unlocked')
	event.hide('dubl:trial_pylon_fire_room_spawner')
	event.hide('dubl:trial_pylon_water')
	event.hide('dubl:trial_pylon_water_unlocked')
	event.hide('dubl:trial_pylon_water_room_spawner')
	event.hide('dubl:trial_pylon_nature')
	event.hide('dubl:trial_pylon_nature_unlocked')
	event.hide('dubl:trial_pylon_nature_room_spawner')
	event.hide('dubl:trial_pylon_labyrinth_start_maze')
	event.hide('dubl:trial_pylon_labyrinth_unlocked')
	event.hide('dubl:trial_pylon_labyrinth_room_spawner')
	event.hide('dubl:fire_mob_spawner')
	event.hide('dubl:fire_mob_spawner_arena')
	event.hide('dubl:nature_mob_spawner')
	event.hide('dubl:nature_mob_spawner_arena')
	event.hide('dubl:water_mob_spawner')
	event.hide('dubl:water_mob_spawner_arena')
	event.hide('dubl:redstone_trigger_tier_4')
	event.hide('dubl:redstone_trigger_tier_5')
	event.hide('dubl:horde_pylon')
	event.hide('dubl:special_mob_pylon')
	event.hide('dubl:treasure_mob_pylon')
	event.hide('dubl:treasure_mob_pylon_2')
	event.hide('dubl:random_mob_spawner_arena')
	event.hide('dubl:boss_loot_spawner')
	event.hide('dubl:horde_pylon_2')
	event.hide('dubl:endless_spawner_1')
	event.hide('dubl:endless_spawner_2')
	event.hide('dubl:endless_spawner_3')
	event.hide('dubl:endless_spawner_4')
	event.hide('dubl:endless_spawner_5')
	event.hide('dubl:monster_box')
	event.hide('dubl:monster_box_active')
	event.hide('dubl:temple_initialize')
	event.hide('dubl:temple_trap_spawner')
	event.hide('dubl:temple_pylon_unlocked')
	event.hide('dubl:endless_block_spawner')
	event.hide('dubl:endless_loot_spawner')
	event.hide('dubl:endless_main_loot_spawner')
	event.hide('dubl:endless_strongbox')
	event.hide('dubl:endless_strongbox_unlocking')
	event.hide('dubl:reroll_table')
	event.hide('dubl:standard_box_spawner')
	event.hide('dubl:standard_strongbox')
	event.hide('dubl:standard_strongbox_unlocking')
	event.hide('dubl:standard_block_event_spawner')
	event.hide('dubl:wither_dungeon_mob_spawner')
	event.hide('dubl:wither_dungeon_crystal_spawner')
	event.hide('dubl:wither_dungeon_crystal_check')
	event.hide('dubl:wither_dungeon_boss_pylon')
	event.hide('dubl:wither_dungeon_entity_check')
	event.hide('dubl:dungeon_teleporter')
	event.hide('dubl:temple_room_spawner')
	event.hide('dubl:temple_pylon_locked')
	event.hide('dubl:temple_entity_check')
	event.hide('dubl:temple_round_check')
	event.hide('dubl:temple_entrance_coord_log')
	event.hide('dubl:temple_mob_spawner_breakable_1')
	event.hide('dubl:temple_mob_spawner_breakable_2')
	event.hide('dubl:temple_mob_spawner_breakable_3')
	event.hide('dubl:temple_mob_spawner_breakable_4')
	event.hide('dubl:temple_mob_spawner_unbreakable_1')
	event.hide('dubl:temple_mob_spawner_unbreakable_2')
	event.hide('dubl:temple_mob_spawner_unbreakable_3')
	event.hide('dubl:temple_mob_spawner_unbreakable_4')
	event.hide('dubl:temple_arrow_trap_send')
	event.hide('dubl:temple_arrow_trap_receive')
	event.hide('dubl:temple_proj_spawner_1')
	event.hide('dubl:temple_proj_spawner_2')
	event.hide('dubl:temple_proj_spawner_3')
	event.hide('dubl:temple_proj_spawner_4')
	event.hide('dubl:temple_loot_chest_spawner_common')
	event.hide('dubl:temple_loot_chest_spawner_uncommon')
	event.hide('dubl:temple_loot_chest_spawner_rare')
	event.hide('dubl:temple_loot_chest_spawner_epic')
	event.hide('dubl:dungeon_exit_teleporter')
	event.hide('dubl:temple_player_check')
	event.hide('dubl:temple_round_fail_check')
	event.hide('dubl:endless_room_spawner')
	event.hide('dubl:standard_dungeon_boss_add_spawner_spawner')
	event.hide('dubl:wither_proj_spawner')
	event.hide('dubl:trial_dungeon_loot_spawner')
	event.hide('dubl:boss_dungeon_health_check')
	event.hide('dubl:moon_dungeon_pylon')
	event.hide('dubl:illager_dungeon_boss_pylon')
	event.hide('dubl:end_portal_dungeon_mob_spawner')
	event.hide('dubl:tower_spawner')
	event.hide('dubl:tower_spawner_spawn_block')
	event.hide('dubl:evoker_pylon')
	event.hide('dubl:random_mob_spawner')
})